Page MenuHomePhabricator

Add detection of OS X relocatable SDK to compiler-rt as a lit.util function
ClosedPublic

Authored by kubamracek on Jun 9 2014, 11:29 AM.

Details

Summary

Clang's lit cfg already detects the currently selected SDK via "xcrun --show-sdk-path". The same thing should be done for compiler-rt tests, to make them work on recent OS X versions. Instead of duplicating the detection code, this patch extracts the detection function into a lit.util method.

Diff Detail

Event Timeline

kubamracek updated this revision to Diff 10243.Jun 9 2014, 11:29 AM
kubamracek retitled this revision from to Add detection of OS X relocatable SDK to compiler-rt as a lit.util function.
kubamracek updated this object.
kubamracek edited the test plan for this revision. (Show Details)
kubamracek set the repository for this revision to rL LLVM.
kubamracek added a subscriber: Unknown Object (MLST).
samsonov added a subscriber: samsonov.

Daniel, do you think changes are like this are fine in lit?

ddunbar edited edge metadata.Jun 9 2014, 5:39 PM

That looks reasonable to me.

  • Daniel
samsonov accepted this revision.Jun 9 2014, 5:47 PM
samsonov added a reviewer: samsonov.

LGTM

This revision is now accepted and ready to land.Jun 9 2014, 5:47 PM

Could you commit this revision for me (I don't have write access)? Thanks.

glider added a subscriber: glider.Jun 10 2014, 7:30 AM

I've landed this in r210534.

kubamracek closed this revision.Jun 26 2014, 10:16 AM